## org.apache.commons.math3.optimization
Class InitialGuess

    java.lang.Object
      org.apache.commons.math3.optimization.InitialGuess

All Implemented Interfaces:
  OptimizationData

Deprecated. As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class InitialGuess

extends java.lang.Object
implements OptimizationData

Starting point (first guess) of the optimization procedure.
Immutable class.

Since:
  3.1
Version:
  $Id: InitialGuess.java 1422230 2012-12-15 12:11:13Z erans $

Field Summary
`private double[]` `init` Deprecated. Initial guess.

Constructor Summary
`InitialGuess(double[] startPoint)` Deprecated.

Method Summary
`double[]` `getInitialGuess()` Deprecated. Gets the initial guess.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### init

    private final double[] init

  Deprecated.
  Initial guess.

Constructor Detail

### InitialGuess

    public InitialGuess(double[] startPoint)

  Deprecated.
  Parameters:
    `startPoint` - Initial guess.

Method Detail

### getInitialGuess

    public double[] getInitialGuess()

  Deprecated.
  Gets the initial guess.

  Returns:
    the initial guess.

Copyright (c) 2003-2013 Apache Software Foundation